scala.tools.nsc.Global

# treeBrowsers

#### object treeBrowsers extends TreeBrowsers

Representing ASTs as graphs

Linear Supertypes
TreeBrowsers, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. treeBrowsers
2. TreeBrowsers
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class ASTTreeModel extends TreeModel

   Tree model for abstract syntax trees

2. #### class BrowserFrame extends AnyRef

   A window that can host the Tree widget and provide methods for displaying information

3. #### case class ProgramTree (units: List[UnitTree]) extends Global.Tree with Product with Serializable

   Pseudo tree class, so that all JTree nodes are treated uniformly

4. #### class SwingBrowser extends AnyRef

   Java Swing pretty printer for Scala abstract syntax trees.

5. #### class TextInfoPanel extends JTextArea

   Present detailed information about the selected tree node.

6. #### case class UnitTree (unit: Global.CompilationUnit) extends Global.Tree with Product with Serializable

   Pseudo tree class, so that all JTree nodes are treated uniformly

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### object TreeInfo

   Computes different information about a tree node.

7. #### object TypePrinter

   Definition Classes
     TreeBrowsers

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### val borderSize: Int

   Definition Classes
     TreeBrowsers

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def create(): SwingBrowser

    Definition Classes
      TreeBrowsers

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### val global: Global.this.type

    Definition Classes
      treeBrowsers → TreeBrowsers

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from TreeBrowsers

### Inherited from AnyRef

### Inherited from Any

### Ungrouped